<?php

namespace App\Models;

class PropertyLanguageSpoken extends BaseModel
{
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'property_language_spoken';
    protected $appends = [];

    const CREATED_AT = 'created_at';
    const UPDATED_AT = 'updated_at';

    protected $dateFormat = 'U';
    protected $guarded = [];

    /**
     * The attributes excluded from the model's JSON form.
     *
     * @var array
     */
    protected $hidden = [];

    /**
     * @return \Illuminate\Database\Eloquent\Relations\HasMany
     */


    public function property(){
        return $this->hasOne('App\Models\Property','property_id', 'id');
    }


    public function language(){
        return $this->hasOne('App\Models\Language','language_code', 'id');
    }

    public function languageCode(){
        return $this->hasOne('App\Models\Language','code', 'language_code');
    }

}
